> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a custom rule type

> Get the custom rule type as JSON by unique ID.



## OpenAPI

````yaml /api-reference/5.9/fusion-api-query.json get /custom-rule-types/{id}
openapi: 3.0.1
info:
  title: Fusion Query API
  description: >-
    A Lucidworks Fusion microservice for machine-learning-enhanced ranking and
    retrieval.
  contact:
    name: Lucidworks
    url: www.lucidworks.com
    email: support@lucidworks.com
  license:
    name: License of API
    url: https://lucidworks.com/legal/developer-license-agreement/
  version: '5.9'
servers:
  - url: https://{FUSION HOST}/api
    description: Fusion
    variables:
      FUSION HOST:
        default: FUSION_HOST
        description: Your environment host.
  - url: https://{FUSION HOST}/api/apps/{APP_NAME}
    description: Fusion app
    variables:
      FUSION HOST:
        default: FUSION_HOST
        description: Your environment host.
      APP_NAME:
        default: APP_NAME
        description: The name of your Fusion app.
security:
  - Basic auth: []
  - API key: []
tags:
  - name: Custom Rule Type API
    description: Endpoints to define and manage custom rule type definitions.
  - name: Experiments API
    description: >-
      Use the Experiments API to compare different configuration variants and
      determine which ones are most successful.
  - name: Query Pipelines API
    description: >-
      Use these endpoints to view and manage your query pipelines.  You can also
      send queries using this API, though the Query Profiles API is recommended
      instead.
  - name: Query Profiles API
    description: >-
      The Query Profiles API provides static endpoints that you can consistently
      point to when querying your collections.  Query profiles allow you to
      change the query pipelines or collections behind them without changing the
      endpoint you use for your search queries.  See the Query Profiles CRUD API
      for endpoints that create and modify query profiles.
  - name: Query Profiles CRUD API
    description: >-
      Use these endpoints to create and modify query profiles.  Query profiles
      allow you to change the query pipelines or collections behind them without
      changing the endpoint you use for your search queries.  See the Query
      Profiles API for the query endpoints.
  - name: Query Rewrite API
    description: >-
      The Query Rewrite API manages documents used for query rewriting to
      improve relevancy using AI-generated data. Primarily for internal use.
  - name: Query Stage API
    description: >-
      Use these endpoints to view the available query pipeline stages and their
      configuration parameters.
  - name: Query Stage Plugins API
    description: >-
      Use these endpoints to view, install, and manage custom query stages
      developed with the Query Stage SDK.
  - name: Signal Indexing API
    description: Endpoints to index signals.
  - name: Experience Manager API
    description: API only for internal use by the Experience Manager Springboard system
  - name: Query Pipeline Template API
    description: Used internally to generate query pipelines from a template.
externalDocs:
  description: Lucidworks Documentation.
  url: https://doc.lucidworks.com/
paths:
  /custom-rule-types/{id}:
    get:
      tags:
        - Custom Rule Type API
      summary: Get a custom rule type
      description: Get the custom rule type as JSON by unique ID.
      operationId: getEntity_3
      parameters:
        - name: id
          description: >-
            The custom rule type ID. This value must be unique across all apps
            in Fusion (global namespace).
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomRuleTypeConfig'
components:
  schemas:
    CustomRuleTypeConfig:
      type: object
      properties:
        id:
          description: >-
            The custom rule type ID. This value must be unique across all apps
            in Fusion (global namespace).
          type: string
        display_type:
          description: A user-friendly name for the custom rule type.
          type: string
        pipeline_id:
          description: The ID of the pipeline that is invoked during rule processing.
          type: string
        schema:
          $ref: '#/components/schemas/ObjectType'
    ObjectType:
      title: Object Type
      type: object
      description: >-
        Represents a structured object type definition used in the Experience
        Manager.
      properties:
        additionalProperties:
          type: object
          description: Additional properties that may be included in this object.
        category:
          type: string
          description: The category classification of this object type.
        categoryPriority:
          type: integer
          format: int32
          description: Defines the priority of this object type within its category.
        default:
          description: Default values for this object type, if applicable.
          oneOf:
            - type: string
            - type: number
            - type: integer
            - type: boolean
            - type: object
            - type: array
              items:
                type: string
        definitions:
          type: object
          description: A collection of definitions related to this object type.
          additionalProperties:
            $ref: '#/components/schemas/AnyType'
        description:
          type: string
          description: >-
            A human-readable description of the object type. This value is shown
            in the field's tooltip in the Rules Editor. 
        enum:
          type: array
          uniqueItems: true
          description: A list of valid enumeration values for this object type.
          items:
            type: object
        hints:
          type: array
          uniqueItems: true
          description: A collection of hints or suggestions related to this object type.
          items:
            type: string
        maxProperties:
          type: integer
          format: int32
          description: The maximum number of properties allowed for this object.
        minProperties:
          type: integer
          format: int32
          description: The minimum number of properties required for this object.
        oneOf:
          type: array
          description: Defines a set of possible types that this object can be.
          items:
            $ref: '#/components/schemas/AnyType'
        properties:
          type: object
          description: A list of properties defined for this object type.
          additionalProperties:
            $ref: '#/components/schemas/AnyType'
        propertyGroups:
          type: array
          description: A collection of related property groups for this object type.
          items:
            $ref: '#/components/schemas/PropertyGroup'
        required:
          type: array
          uniqueItems: true
          description: A list of required properties for this object type.
          items:
            type: string
        title:
          type: string
          description: The user-friendly title of this object type.
        type:
          type: string
          enum:
            - array
            - boolean
            - integer
            - 'null'
            - number
            - object
            - ref
            - string
          description: Defines the primary data type of this object.
        unsafe:
          type: boolean
          description: Indicates whether this object type is considered unsafe.
    AnyType:
      type: object
      properties:
        type:
          type: string
          enum:
            - string
            - number
            - integer
            - boolean
            - object
            - array
            - 'null'
            - ref
        title:
          type: string
        description:
          type: string
        default:
          oneOf:
            - type: string
            - type: number
            - type: integer
            - type: boolean
            - type: object
            - type: array
              items:
                type: string
        category:
          type: string
        categoryPriority:
          type: integer
          format: int32
        hints:
          uniqueItems: true
          type: array
          items:
            type: string
        unsafe:
          type: boolean
        oneOf:
          type: array
          items:
            $ref: '#/components/schemas/AnyTypeObjectObject'
    PropertyGroup:
      type: object
      properties:
        label:
          type: string
        properties:
          type: array
          items:
            type: string
    AnyTypeObjectObject:
      type: object
      properties:
        type:
          type: string
          enum:
            - string
            - number
            - integer
            - boolean
            - object
            - array
            - 'null'
            - ref
        title:
          type: string
        description:
          type: string
        default:
          type: object
        category:
          type: string
        categoryPriority:
          type: integer
          format: int32
        hints:
          uniqueItems: true
          type: array
          items:
            type: string
        unsafe:
          type: boolean
  securitySchemes:
    Basic auth:
      type: http
      scheme: basic
    API key:
      name: x-api-key
      type: apiKey
      in: header

````